Summary: Fonts for the TeXmacs editor
Name: TeXmacs-fonts
Version: 1.0
Release: 1
Url: http://www.texmacs.org
Source: ftp://ftp.texmacs.org/pub/TeXmacs/TeXmacs-fonts-%{version}.tar.gz
License: GNU GPL 2.0
Packager: Joris van der Hoeven <vdhoeven@texmacs.org>
Distribution: GNU/Linux
Vendor: Jo the ripper software
Group: Applications/Editors
Requires: tetex tetex-fonts
Buildarch: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description

This package provides some fonts,
which are frequently used by the GNU TeXmacs text editor.

%prep
%setup -q

%build
mkdir -p $RPM_BUILD_ROOT/var/lib/texmf/tfm/jknappen/sauter
for file in `cat lists/TeXmacs-sauter`; do
  mktextfm --destdir $RPM_BUILD_ROOT/var/lib/texmf/tfm/jknappen/sauter ${file}.tfm
done

mkdir -p $RPM_BUILD_ROOT/var/lib/texmf/tfm/jknappen/ec
for file in `cat lists/TeXmacs-ec`; do
  mktextfm --destdir $RPM_BUILD_ROOT/var/lib/texmf/tfm/jknappen/ec ${file}.tfm
done

mkdir -p $RPM_BUILD_ROOT/var/lib/texmf/pk/cx/localfont
for file in `cat lists/TeXmacs-sauter lists/TeXmacs-ec`; do
  mktexpk --dpi 600 --bdpi 300 --mag 2 --destdir $RPM_BUILD_ROOT/var/lib/texmf/pk/cx/localfont $file
done

%install

%files
%defattr(-,root,root)
/var/lib/texmf/tfm/jknappen/sauter/*tfm
/var/lib/texmf/tfm/jknappen/ec/*tfm
/var/lib/texmf/pk/cx/localfont/*pk

%clean
rm -rf $RPM_BUILD_ROOT
